org.apache.fop.render.pdf.extensions

## Class PDFCollectionEntryExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension
  - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

- Direct Known Subclasses:
    PDFCollectionExtension, PDFReferenceExtension

      public class PDFCollectionEntryExtension
      extends PDFObjectExtension

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_KEY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()`
    `void` | `setKey(String key)`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension

      `getElementName, getType, getValue, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_KEY

          public static final String PROPERTY_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### setKey

          public void setKey(String key)

Copyright © 2023 Apache Software Foundation. All rights reserved.